#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>
#include <assert.h>
#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>

#include "callbacks.h"

#include "ooodi.h"

char * buildpath(char *path,...)
{
    va_list ap;
    char *s,*t;
    va_start (ap, path);

    t = path;
    
    while((s = va_arg (ap, char *)))
    {
        t = stpcpy(t, s);
        if(*(t-1) != '/')
        {
            *t++ = '/';
        }
    }
    *(t-1) = 0;
    return path;
}

GtkWidget* create_filesel (char *title)
{
  GtkWidget *filesel;

  filesel = glade_xml_get_widget (xml, "filesel");
  assert(filesel != NULL);
  gtk_window_set_title(GTK_WINDOW(filesel), title);
  return filesel;
}
